# Contributing to `fabric-mcp` (Micro Summary)

## For Developers

```bash
# One-time setup (new contributor)

git clone https://github.com/ksylvan/fabric-mcp.git
cd fabric-mcp
make bootstrap  # ← Installs deps AND pre-commit hooks automatically

# Daily workflow

git checkout develop
git checkout -b feature/my-change

# make changes

git commit -m "feat: my changes"  # ← Hooks run, ensure good practices
git push -u origin feature/my-change
```

Submit your PR with `develop` as its base. Your change must pass all automated tests and meet coverage targets.

## Release workflow (for maintainers)

After a PR is merged:

```bash
git checkout develop
git pull
make merge  # ← Safe, confirmed merge to main
```

## For more details

Read the [Contributing guidelines](./contributing.md) and the
[detailed guide to Contributing](./contributing-detailed.md).
